Announcement

Collapse
No announcement yet.

Catalyst 10.5 For Linux Is Out: Nothing Exciting

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Catalyst 10.5 For Linux Is Out: Nothing Exciting

    Phoronix: Catalyst 10.5 For Linux Is Out: Nothing Exciting

    AMD has just put out their Catalyst 10.5 Linux driver update. Unfortunately, there isn't anything too exciting in this release...

    http://www.phoronix.com/vr.php?view=ODI5Mg

  • #2
    With wine 1.2 RC and fglrx 10.5 I got a tremendous improvement in Guild Wars.

    With wine 1.1.44 and fglrx 10.4 I got graphic corruptions in almost all the areas.

    Now I got no corruption at all and I am able to run it in highest settings with descent fps. I don't if it was wine 1.2 RC or fglrx 10.5, but guild wars just runs awesome now on fglrx. I also got a quite big speed improvement.

    Comment


    • #3
      With recent developments going on, AMD has been pressured to put more work towards their OpenGL stack

      Comment


      • #4
        actually, there is something exciting

        OpenGL vendor string: ATI Technologies Inc.
        OpenGL renderer string: ATI Radeon HD 4600 Series
        OpenGL version string: 3.3.9836 Compatibility Profile Context

        OpenGL 3.3 is in the stable line yey

        Comment


        • #5
          Originally posted by AnorexiasGrizzli View Post
          actually, there is something exciting

          OpenGL vendor string: ATI Technologies Inc.
          OpenGL renderer string: ATI Radeon HD 4600 Series
          OpenGL version string: 3.3.9836 Compatibility Profile Context

          OpenGL 3.3 is in the stable line yey
          Apparently so is OpenGL 4.0

          Code:
          OpenGL vendor string: ATI Technologies Inc.
          OpenGL renderer string: ATI Radeon HD 5700 Series 
          OpenGL version string: 4.0.9836 Compatibility Profile Context
          OpenGL shading language version string: 4.00

          Comment


          • #6
            Downloading the new Eve client. Will test with "offscreen->FBO" the moment the servers are back online (today is a major Eve Patch day).

            Frank

            Comment


            • #7
              Originally posted by Hans View Post
              With wine 1.2 RC and fglrx 10.5 I got a tremendous improvement in Guild Wars.

              With wine 1.1.44 and fglrx 10.4 I got graphic corruptions in almost all the areas.

              Now I got no corruption at all and I am able to run it in highest settings with descent fps. I don't if it was wine 1.2 RC or fglrx 10.5, but guild wars just runs awesome now on fglrx. I also got a quite big speed improvement.
              guildwars now crashes for me and has some weird looking bugs in the character selection menu
              do your 3d games flicker too, if you use a virtualdesktop in wine?

              Comment


              • #8
                Originally posted by AnorexiasGrizzli View Post
                actually, there is something exciting

                OpenGL vendor string: ATI Technologies Inc.
                OpenGL renderer string: ATI Radeon HD 4600 Series
                OpenGL version string: 3.3.9836 Compatibility Profile Context

                OpenGL 3.3 is in the stable line yey
                interestingly the non super user ati control center tells me that im using opengl 3.2.9756 while the superuser control center tells me im using opengl 3.3.9836

                Comment


                • #9
                  @monraaf

                  Did you try tesselation with Unigine 2.1 yet? I would like to see all benches with tess disabled and the 3 quality settings benched against the old ati only tess hack.

                  Comment


                  • #10
                    Maybe this one will support the Radeon HD 5830. I won't be able to try it, since I already exchanged mine for a Radeon HD 5850, which worked with 10.4.

                    Comment

                    Working...
                    X